/**
Theme Name: Mea IT Services Astra
Author: mea IT Services e.U. | Kerstin Greifensteiner
Author URI: https://mea-it.services
Description: Child Theme of Astra WP developed by mea IT Services e.U.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: mea-it-services-astra
Template: astra
*/

.ast-button-wrap .ast-mobile-menu-trigger-minimal:focus,
.ast-mobile-popup-drawer.active .menu-toggle-close:focus 
{
    border-width: 0px !important;
    outline:none;
}

.ln-text-stroke {
    -webkit-text-stroke: 0.5px white;
}

.ln-container-overlay-right {
    position: absolute;
    right: 0;
}

.ln-container-overlay-left {
    position: absolute;
    left: 0;
}

.uagb-infobox__content-wrap {
    z-index: 0 !important;
}

/* Remove default shadow for sticky header */
#ast-fixed-header .main-header-bar, 
.ast-primary-header-bar 
{
	box-shadow: unset !important;
}

.ast-container {
    padding: 0 !important;
}

/* Fix containers on wide screen */
@media (min-width: 1201px) {
    .ast-container {
        max-width: 1200px;
    }
}
@media (min-width: 993px) {
    .ast-container {
        max-width: 1200px;
    }
}
@media (min-width: 922px) {
    .ast-container {
        max-width: 1200px;
    }
}

/* Menu */
.main-navigation {
    display: flex !important;
    justify-content: end;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

#ast-desktop-toggle-menu {
    width: 265px;
    background-color: white;
    margin-right: 60px;
}

#ast-hf-mobile-menu,
#ast-desktop-toggle-menu,
.ast-mobile-header-content
{
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.ast-mobile-header-wrap .ast-mobile-header-content, 
.ast-desktop-header-content 
{
    background-color: transparent;
}

.ast-desktop-header-content {
    top: 56px !important;
}

@media screen and (min-width: 921px) and (max-width: 977px) {
    #ast-desktop-toggle-menu {
        margin-right: 40px;
    }
}

@media screen and (min-width: 767px) and (max-width: 976px) {
    #ast-mobile-header .main-navigation 
    {
        margin-right: 40px !important;
    }
}

header {
    z-index: 2 !important;
}

#ast-mobile-header .content-align-flex-start {
    overflow: hidden;
}

button.menu-toggle {
    background-color: var(--ast-global-color-0) !important;
    height: 57px !important;
    border-radius: 0 !important;
}

/* Sticky Anmeldung Button */
#ln-registration-btn {
    left: auto !important;
    z-index: 99 !important;
    height: 57px;
    top: 0 !important;
}

/* Countdown */
.wp-block-uagb-countdown__time,
.hoth-dash:not(:last-child)::after,
.hoth-digit
{
    -webkit-text-stroke: 0.5px white;
}

.wp-block-uagb-countdown__time,
.wp-block-uagb-countdown__label,
.ln-text-shadow,
.hoth-dash:not(:last-child)::after,
.hoth-digit,
.hoth-dash_title
{
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.hoth-dashboard,
.hoth-dash,
.hoth-digit
{
    height: auto !important;
}

.hoth-dash,
.hoth-dash_title
{
    color: var(--ast-global-color-3) !important;
    font-family: Poppins, Helvetica, Arial, sans-serif !important;
}

.hoth-dash {
    background: none !important;
}

.hoth-dash:not(:first-child) {
    margin-left: 50px !important;
}

.hoth-dash:first-child {
    margin-left: 0 !important;
}

.hoth-dash:not(:last-child)::after {
    content: ":";
    position: absolute;
    font-size: 120px;
    right: -40px;
    font-weight: 700;
}

.hoth-digit {
    font-weight: 700 !important;
    font-size: 120px !important;
}

.hoth-dash_title {
    font-size: 26px !important;
    top: 160px !important;
    font-weight: 600 !important;
    width: 100% !important;
}

/* Overlay gradient */
.ln-overlay-gradient::before,
.ln-overlay-gradient-after::after,
.ln-overlay-gradient-small::before
{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
}

.ln-overlay-gradient::before,
.ln-overlay-gradient-after::after
{
    background: linear-gradient(0deg, var(--ast-global-color-0) -20%, rgba(0,0,0,0) 75%);
}

.ln-overlay-gradient-small::before {
    background: linear-gradient(0deg, var(--ast-global-color-0) -20%, rgba(0,0,0,0) 35%);
}

/* Sponsor Gallery */
.ln-sponsor-gallery .wp-block-gallery.has-nested-images figure.wp-block-image {
    flex-grow: 0 !important;
}

.ln-sponsor-gallery .wp-block-image {
    flex-direction: row !important;
}

.ln-sponsor-gallery figure {
    padding: .5em;
}

.ln-sponsor-gallery img {
    object-fit: contain !important;
}

.ln-sponsor-gallery .wp-block-gallery {
    align-items: center;
}

/* Links */
a:hover,
a span:hover
{
    text-decoration: underline !important;
}

.menu-item a:hover,
.menu-item a span:hover 
{
    text-decoration: none !important;
}

a:focus {
    outline: none !important;
}

/* Sections */
.ln-section-img {
    position: absolute;
    z-index: 1;
    top: 0;
}

.ln-section-img img {
    width: auto;
}

.ln-section-block,
.ln-section-block-left 
{
    position: absolute;
    z-index: -1;
    bottom: -2em;
}

.ln-section-block {
    right: -2em;
}

.ln-section-block-left {
    left: -2em;
}

/* Scroll to top button */
#ast-scroll-top {
    right: 0;
    text-align: right;
    background-color: transparent !important;
    margin-right: 60px;
}

#ast-scroll-top > span {
    background-color: var(--ast-global-color-0);
    padding: 5px;
}

/* Carousel Smart Slider 3 Showcase */
/*.n2-ss-slide-active {
    height: 500px !important;
    transition: height 0.5s ease-in;
}

.n2-ss-slide:not(.n2-ss-slide-active) {
    transition: height 0.5s ease-in;
}

.n2-ss-slider .n2-ow {
    align-items: end;
}*/

.n2-ss-slider a {
    text-decoration: none !important;
}

#carousel > div {
    overflow: hidden;
}

.n2-ss-slider-3.n2-ow, 
.n2-ss-slider-2.n2-ow, 
.n2-ss-slide
{
    overflow: visible !important;
}

.n2-ss-layer.ln-carousel-img {
    /*transform: translate(200px, 540px) translate(-50%, -100%) !important;*/
}

.n2-ss-slide:not(.n2-ss-slide-active) {
    overflow: hidden !important;
}

.ln-slider-layer-read-more-btn,
.ln-slider-layer-read-more-btn a 
{
    box-sizing: border-box !important;
    width: 340px !important;
}

/* Tablet */
@media only screen and (max-width: 976px) {

    /* Countdown */
    .hoth-dash:not(:first-child) {
        margin-left: 50px !important;
    }

    .hoth-dash:not(:last-child)::after {
        font-size: 90px;
    }

    .hoth-digit {
        font-size: 90px !important;
    }

    .hoth-dash_title {
        font-size: 26px !important;
        top: 120px !important;
    }

    /* Menu */
    #ast-mobile-header .main-navigation {
        background-color: white;
    }

    #ast-desktop-toggle-menu,
    #ast-mobile-header .main-navigation 
    {
        width: 240px;
        margin-right: 40px;
    }

    #ast-mobile-header .menu-item {
        flex-grow: 1;
        height: 2em;
    }

    #ast-mobile-header .menu-item a {
        display: flex;
    }

    button.menu-toggle {
        height: 57.5px !important;
    }

    .ast-desktop-header-content {
        top: 57px !important;
    }

    .main-header-bar {
        border: none;
    }

    .ast-primary-sticky-header-active.ast-main-header-nav-open nav {
        overflow-y: hidden !important;
    }
}

@media screen and (min-width:921px) and (max-width: 976px) {
    #ln-registration-btn {
        width: 178px;
    }

    #ln-registration-btn p {
        font-size: 16px;
    }

    [data-section="section-header-mobile-trigger"] .ast-button-wrap .menu-toggle {
        margin-right: 40px;
    }
}

@media screen and (min-width: 976px) and (max-width: 921px) {
    #ln-registration-btn {
        width: 178px;
    }

    #ln-registration-btn p {
        font-size: 16px;
    }

    [data-section="section-header-mobile-trigger"] .ast-button-wrap .menu-toggle {
        margin-right: 40px;
    }
}

/* Mobile */

@media only screen and (max-width: 767px) {

    /* Header */
    #ln-header-banner {
        min-height: auto;
    }

    #ln-registration-btn {
        width: calc(100% - 50px);
    }

    .ast-primary-header-bar:not(.ast-header-sticked) button.menu-toggle {
        background-color: transparent !important;
    }

    button.menu-toggle {
        height: 57px !important;
    }
	
	#ln-logo {
        width: 160px !important;
    }

    /* Sections */

    .ln-section-block,
    .ln-section-block-left 
    {
        bottom: -1em;
    }

    .ln-section-block {
        right: -1em;
    }

    .ln-section-block-left {
        left: -1em;
    }

    /*#programm img,
    #skillupclasses img,
    #skillupclasses > div:nth-child(2)
    {
        width: 300px;
    }*/

    /* Countdown */
    .hoth-dash:not(:first-child) {
        margin-left: 20px !important;
    }

    .hoth-dash:not(:last-child)::after {
        font-size: 50px;
        right: -15px;
    }

    .hoth-digit {
        font-size: 50px !important;
    }

    .hoth-dash_title {
        font-size: 14px !important;
        top: 70px !important;
    }

    /* Scroll to top button */
    #ast-scroll-top > span {
        padding: 10px 15px;
    }

    #ast-scroll-top {
        margin-right: 0;
    }

    #ast-scroll-top:focus {
        outline: none;
        border: none;
    }

    /* Menu */
    #ast-mobile-header .main-navigation {
        width: 100%;
        margin-right: 0;
    }

    #ast-mobile-header .menu-item {
        flex-grow: 1;
        height: 3em;
    }

    #ast-mobile-header .menu-item a {
        display: flex;
        text-align: center;
    }

    button.menu-toggle,
    #ln-registration-btn.uagb-position__sticky {
        height: 86px !important;
    }

    #ln-registration-btn.uagb-position__sticky {
        width: calc(100% - 50px) !important;
    }

    #ln-registration-btn {
        flex-grow: 1;
    }

    #ln-header-banner div:has(figure) {
        align-self: center;
    }
}

/* Mobile Landscape */
@media only screen and (max-width: 1000px) and (max-height: 450px) {
    #ast-hf-mobile-menu,
    #ast-desktop-toggle-menu 
    {
        box-shadow: none;
    }

    #header > div > div {
        padding-top: 2em;
    }

    #countdown:nth-child(2) {
        padding-top: 2em;
    }

    #programm img,
    #skillupclasses img,
    #skillupclasses .ln-overlay-gradient-after
    {
        width: 300px;
    }

    #programm > div:nth-child(2):nth-child(2),
    #skillupclasses > div:nth-child(2):nth-child(2) {
        max-width: 70%;
    }

    #skillupclasses h2 {
        font-size: 70px;
    }
}

@media only screen and (max-width: 767px) and (max-height: 450px) {
    [data-section="section-header-mobile-trigger"] .ast-button-wrap .menu-toggle,
    #ast-scroll-top 
    {
        margin-right: 0;
    }

    #ln-zweiminzweimio-bild img {
        width: 350px !important;
    }

    #ast-mobile-site-navigation {
        box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    }

    .ast-mobile-header-content {
        overflow: auto !important;
    }
}

@media only screen and (min-width: 767px) and (max-width: 950px) and (max-height: 450px) {
    button.menu-toggle {
        height: 57px !important;
    }

    #ast-scroll-top {
        margin-right: 40px;
    }

    #programm > div {
        row-gap: 120px;
    }

    #sponsoren > div {
        min-height: 200px;
    }

    #ast-hf-mobile-menu,
    #ast-desktop-toggle-menu 
    {
        box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25) !important;
    }
}

@media only screen and (min-width: 767px) and (max-width: 788px) and (max-height: 450px) {
    #skillupclasses h2 {
        font-size: 70px;
    }
}

@media (max-width: 921px) {
    .ast-primary-sticky-header-active.ast-main-header-nav-open nav {
        max-height: calc(100vh - 40px) !important;
    }
}

/* Keyframes */
#header {
    -webkit-animation: zoomeffect 60s infinite linear;
    animation: zoomeffect1170 60s infinite linear;
}

@media screen and (min-width:920px) and (max-width: 1170px) {
    #header {
        -webkit-animation: zoomeffect920 60s infinite linear;
        animation: zoomeffect920 60s infinite linear;
    }
}

@media screen and (min-width:700px) and (max-width: 920px) {
    #header {
        -webkit-animation: zoomeffect700 60s infinite linear;
        animation: zoomeffect700 60s infinite linear;
    }
}

@media screen and (max-width: 700px) {
    #header {
        -webkit-animation: zoomeffect0 60s infinite linear;
        animation: zoomeffect0 60s infinite linear;
    }
}

@keyframes zoomeffect1170 {
    0% {
        background-size: 100%;
    }
    50% {
        background-size: 180%;
    }
    100% {
        background-size: 100%;
    }
}

@keyframes zoomeffect920 {
    0% {
        background-size: 130%;
    }
    50% {
        background-size: 200%;
    }
    100% {
        background-size: 130%;
    }
}

@keyframes zoomeffect700 {
    0% {
        background-size: 240%;
    }
    50% {
        background-size: 300%;
    }
    100% {
        background-size: 240%;
    }
}

@keyframes zoomeffect0 {
    0% {
        background-size: 300%;
    }
    50% {
        background-size: 420%;
    }
    100% {
        background-size: 300%;
    }
}